import { PUBLIC_WEBSITE_URL } from '$env/static/public';
import { getLoginURL, getSiteName } from '$lib/url';
import { redirect } from '@sveltejs/kit';
import type { LayoutLoad } from './$types';
import { getSiteInfo } from '$lib/api/sites';
import { must } from '$lib/errors';

export const load = (async ({ url }) => {
	const site = getSiteName(url.hostname);
	if (!site) {
		throw redirect(302, PUBLIC_WEBSITE_URL);
	}

	const siteData = await must(getSiteInfo(site));

	return {
		site: siteData,
		links: {
			login: getLoginURL(url)
		}
	};
}) satisfies LayoutLoad;
